##
## Chemical Biophysics Symposium, 2023
## Erik Spence
## Introduction to Neural Networks

#######################################################


import tensorflow.keras.models as km
import tensorflow.keras.layers as kl


#######################################################


## A function to build a Keras model for our first neural network
## example.
def build_model(numnodes):

    ## Initialize an empty model.
    model = km.Sequential()

    ## Add the hidden layer.
    model.add(kl.Dense(numnodes, input_dim = 784,
                       activation = 'sigmoid'))

    ## Add the output layer.
    model.add(kl.Dense(10, activation = 'sigmoid'))

    ## Return the model.
    return model


#######################################################
